Page MenuHomePhabricator

Spike [1 HR]: Test mobile web interface of AuthManager
Closed, ResolvedPublic

Description

https://mobile-authmanager.wmflabs.org is a test installation of AuthManager + MobileFrontend. It should be tested on various phones to ensure sane behavior.

  • Android 2.x Browser
  • Android 4 or higher Chrome
  • Opera Mini
  • iOS 9 Safari
  • iOS 6 or lower Safari
  • A tablet
  • A desktop browser

Check that the blocking tasks

  • are fixed on a mobile resolution
  • are fixed on a tablet resolution
  • are fixed on a desktop resolution

Duration: 1hrs

Event Timeline

Tgr created this task.Apr 12 2016, 8:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2016, 8:16 PM
Poyekhali triaged this task as Normal priority.Apr 13 2016, 3:11 AM
Poyekhali added a subscriber: Poyekhali.

Thanks for providing a test installation! :)

I've tested the following devices (no emulator, physical devices):

HTC One M9

First of all: It looks pretty good, and there's no big thing where I would say: That _needs_ to be fixed before AuthManager is enabled. So: Kudos to anyone, who helped built it! :)

However, there're two little things:

How it looks on the one m9 in portrait mode: Pretty good, no big problems
How it looks in landscape mode.
  1. The dropdown fields aren't marked as such. This, however, is a common problem with mediawiki.ui and MobileFrontend and should be fixed with an OOUI implementation (iirc, @matmarex is working on that :)).
  1. The buttons looks good in portrait mode (they align with the input fields), but in landscape mode (and on tablet devices, you'll see that later), they're visibly smaller as the other input fields (min.width:80% of the parent and width:100%, I'm not sure, what is done in mediawiki.ui here), maybe there's a conflict with mobile css code, too :/

Nexus 9

Let's simply look at the Screenshots, there're the same problems as described above, but also in portrait mode, not only landscape.

I hope this short test helps a bit :]

dr0ptp4kt updated the task description. (Show Details)Apr 25 2016, 3:28 PM
MBinder_WMF moved this task from 2015-16 Q4 to 2016-17 Q2 on the Readers-Web-Backlog board.
Jdlrobson renamed this task from Test mobile web interface of AuthManager to Spike: Test mobile web interface of AuthManager.May 9 2016, 4:26 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Nirzar, Jdlrobson.
Jdlrobson changed the task status from Open to Stalled.May 11 2016, 7:02 PM

Before I can even start this I need to know what I'm testing.

The dropdowns are not clear at all to your average user. What does REDIRECT mean? What does abstain?
What workflows would you like me to go through? Help with logging in doesn't talk about any of these.

Please give me a list of Given When Then statements you'd like me to test.

ping @Tgr I'm keen to help with this.

It may be worth sending a mail to mobile-l requesting this help as well to gather feedback from a broader audience.

Tgr added a comment.May 19 2016, 5:37 PM

There are two groups of things to test:

  • make sure that pre-existing functionality is not broken (more urgent) - that includes single-step login, login with forced password change, normal password change, password reset by email, email address change, single-step signup, logout. The login/signup ones had nontrivial markup changes; the rest just had backend logic changes and is probably not really worth testing separately on mobile.
  • check new functionality (can wait) - includes multi-step login and signup, redirect-based login, account linking and unlinking, account linking on login, changing and removing credentials.

The most important thing would be testing workflows which are different on desktop and mobile - unfortunately I have no idea what those are. (Watching articles while anonymous is one, I believe.)

The dropdowns are not clear at all to your average user. What does REDIRECT mean? What does abstain?

Those are there to test functionality which currently used extensions do not expose. You can safely ignore them. I can disable them temporarily, if you like.

Jdlrobson changed the task status from Stalled to Open.May 19 2016, 5:38 PM

Mostly tested. Happy path all good. Changing password good (but styling errors). Reset password path good. Errors show when necessary. Logout good. Create account works but has some serious styling errors.

I didn't test Email address change as we don't link to this anywhere on mobile.

Once T135775 and T135779 are fixed I'll take a final pass at review. Until then stalled.

Jdlrobson changed the task status from Open to Stalled.May 19 2016, 9:51 PM
Tgr changed the task status from Stalled to Open.May 27 2016, 3:43 PM
Jdlrobson updated the task description. (Show Details)Jun 1 2016, 4:24 PM
Jdlrobson renamed this task from Spike: Test mobile web interface of AuthManager to Spike: Test mobile web interface of AuthManager (1hr).Jun 1 2016, 4:26 PM
Jdlrobson updated the task description. (Show Details)
MBinder_WMF renamed this task from Spike: Test mobile web interface of AuthManager (1hr) to Spike [1 HR]: Test mobile web interface of AuthManager .Jun 1 2016, 4:27 PM

Note: AuthManager is now running on the beta cluster.

Jhernandez removed Jdlrobson as the assignee of this task.Jun 6 2016, 4:08 PM

I tested the first two blocking tasks (the last one is a no-op) and found out that the first one needs more work. The other one is fine.

bmansurov closed this task as Resolved.Jun 9 2016, 9:05 AM
bmansurov reopened this task as Open.
bmansurov removed bmansurov as the assignee of this task.
bmansurov updated the task description. (Show Details)
bmansurov added a subscriber: bmansurov.
Jdlrobson closed this task as Resolved.Jun 14 2016, 1:34 AM
Jdlrobson claimed this task.